Bug 137290 - missing return statement
missing return statement
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libofx (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-27 06:22 EDT by David Binderman
Modified: 2014-03-16 22:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 17:10:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-10-27 06:22:48 EDT
Description of problem:

I just tried to compile package libofx-0.6.6-2 from 
Redhat Fedora Core 3 Test 3.

The compiler said

ofx_container_main.cpp(63): warning #1011: missing return statement at
end of non-void function
"OfxMainContainer::add_container(OfxGenericContainer *)"

Upon inspection of the source code, I recommend either adding a return
statement or marking the return type of the function as void.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2005-01-21 17:10:40 EST
This is fixed in upstream 0.7.0.

Note You need to log in before you can comment on or make changes to this bug.